Loading...
Searching...
No Matches
RDKit::MolStandardize::AcidBaseCatalogParams Class Reference

`#include <AcidBaseCatalogParams.h>`

Inheritance diagram for RDKit::MolStandardize::AcidBaseCatalogParams:

## Public Member Functions

| AcidBaseCatalogParams ()
| AcidBaseCatalogParams (const std::string &acidBaseFile)
| AcidBaseCatalogParams (std::istream &acidBaseFile)
| AcidBaseCatalogParams (const std::vector< std::tuple< std::string, std::string, std::string > > &data)
| AcidBaseCatalogParams (const AcidBaseCatalogParams &other)
| ~AcidBaseCatalogParams () override
unsigned int | getNumPairs () const
const std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > & | getPairs () const
const std::pair< ROMOL_SPTR, ROMOL_SPTR > | getPair (unsigned int fid) const
void | toStream (std::ostream &) const override
| serializes (pickles) to a stream
std::string | Serialize () const override
| returns a string with a serialized (pickled) representation
void | initFromStream (std::istream &ss) override
| initializes from a stream pickle
void | initFromString (const std::string &text) override
| initializes from a string pickle
Public Member Functions inherited from RDCatalog::CatalogParams
virtual | ~CatalogParams ()=0
std::string | getTypeStr () const
| returns our type string
void | setTypeStr (const std::string &typeStr)
| sets our type string

## Additional Inherited Members

Protected Attributes inherited from RDCatalog::CatalogParams
std::string | d_typeStr
| our type string

## Detailed Description

Definition at line 25 of file AcidBaseCatalogParams.h.

## Constructor & Destructor Documentation

## AcidBaseCatalogParams() [1/5]

RDKit::MolStandardize::AcidBaseCatalogParams::AcidBaseCatalogParams | ( |  | ) |

inline

Definition at line 28 of file AcidBaseCatalogParams.h.

## AcidBaseCatalogParams() [2/5]

RDKit::MolStandardize::AcidBaseCatalogParams::AcidBaseCatalogParams | ( | const std::string & | acidBaseFile | ) |

## AcidBaseCatalogParams() [3/5]

RDKit::MolStandardize::AcidBaseCatalogParams::AcidBaseCatalogParams | ( | std::istream & | acidBaseFile | ) |

## AcidBaseCatalogParams() [4/5]

RDKit::MolStandardize::AcidBaseCatalogParams::AcidBaseCatalogParams | ( | const std::vector< std::tuple< std::string, std::string, std::string > > & | data | ) |

## AcidBaseCatalogParams() [5/5]

RDKit::MolStandardize::AcidBaseCatalogParams::AcidBaseCatalogParams | ( | const AcidBaseCatalogParams & | other | ) |

## ~AcidBaseCatalogParams()

RDKit::MolStandardize::AcidBaseCatalogParams::~AcidBaseCatalogParams | ( |  | ) |

override

## Member Function Documentation

## getNumPairs()

unsigned int RDKit::MolStandardize::AcidBaseCatalogParams::getNumPairs | ( |  | ) | const

inline

Definition at line 44 of file AcidBaseCatalogParams.h.

## getPair()

const std::pair< ROMOL_SPTR, ROMOL_SPTR > RDKit::MolStandardize::AcidBaseCatalogParams::getPair | ( | unsigned int | fid | ) | const

## getPairs()

const std::vector< std::pair< ROMOL_SPTR, ROMOL_SPTR > > & RDKit::MolStandardize::AcidBaseCatalogParams::getPairs | ( |  | ) | const

## initFromStream()

void RDKit::MolStandardize::AcidBaseCatalogParams::initFromStream | ( | std::istream & | ss | ) |

override virtual

initializes from a stream pickle

Implements RDCatalog::CatalogParams.

## initFromString()

void RDKit::MolStandardize::AcidBaseCatalogParams::initFromString | ( | const std::string & | text | ) |

override virtual

initializes from a string pickle

Implements RDCatalog::CatalogParams.

## Serialize()

std::string RDKit::MolStandardize::AcidBaseCatalogParams::Serialize | ( |  | ) | const

override virtual

returns a string with a serialized (pickled) representation

Implements RDCatalog::CatalogParams.

## toStream()

void RDKit::MolStandardize::AcidBaseCatalogParams::toStream | ( | std::ostream & |  | ) | const

override virtual

serializes (pickles) to a stream

Implements RDCatalog::CatalogParams.

The documentation for this class was generated from the following file:

- AcidBaseCatalogParams.h